Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Jan 2009 09:59:14 -0500

>> But how would the user override this behavior in a way that can depend
>> on the buffer being shown (i.e. via special-display-buffer-names)?

> Customizing `pop-up-windows' would give (1) a general preference where
> and how `display-buffer' should pop up windows, and (2) a possibility to
> override decisions made by applications like dired on where and how to
> pop up windows.

> `special-display-buffer-names' and `special-display-regexps' would be
> handled as usually, before checking `pop-up-windows'.  If we want, we
> can provide things like 'window-below or 'window-at-bottom as phony
> parameters as suggested earlier.

Actually, those phony params aren't right.  Now that you made me think
some more about it, they're all mutually exclusive, so we really only
want one such param whose value could be `same-frame', `same-window',
or `near-minibuffer'.  Those same values could be used for
pop-up-windows.

        Stefan